<?php
/**
 * Admin new order email
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/emails/admin-new-order.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author WooThemes
 * @package WooCommerce/Templates/Emails/HTML
 * @version 2.5.0
 */

 if ( ! defined( 'ABSPATH' ) ) {
 	exit;
 }

  // Get the plugin options
  $options = get_option( 'wsrr_option' );

  // Additional Logic
  // If only exparation date is set, send the checque email
  $next_payment = gmdate("m-d-Y", $order->get_time( 'next_payment' ));
  $end_date = $order->get_date( 'end', 'site' );
  if (empty($next_payment) && !empty($end_date)) {
    // $email_template = 'wsff-renewal-reminder-cheque.php';
     //wsrr_email_date_debug('End date trigger');
  $next_payment = $end_date;
  }

  // {subscription_items}
  $order_items = $order->get_items();
  $subscription_items ='';
  foreach ($order_items as $item_id => $item_data) {
      $product_name = $item_data['name'];
      $item_total = $order->get_item_meta($item_id, '_line_total', true);
      $item_period = get_post_meta($order->get_id(), '_billing_period', true);
      $subscription_items.= $product_name.' - $'.$item_total.'/'.$item_period;
  }

  //wsrr_email_date_debug($order->payment_method);
  // Additional Logic
  // If only exparation date is set, send the checque email
  $subscription = new WC_Subscription( $order->get_id() );

  // Email Body
//  if ($subscription->payment_method == 'stripe') {
  //   $email_body = $options['email_body'];
     //wsrr_email_date_debug('$subscription->payment_method == stripe');
////  } elseif ($subscription->payment_method == 'cheque') {
//     $email_body = $options['email_body_cheque'];
     //wsrr_email_date_debug('$subscription->payment_method == cheque');
//  } elseif ($subscription->payment_method == '') {
  //   $email_body = $options['email_body_cheque'];
      //wsrr_email_date_debug('$subscription->payment_method == ');
//  } else {
    $email_body = $options['email_body'];
    //wsrr_email_date_debug('ELSE');
//  }



  // Renewal Date
  $next_payment = $subscription->get_time( 'next_payment' );
  //wsrr_email_date_debug('$next_payment'.$next_payment);
  $end_date = $subscription->get_date( 'end', 'site' );
  if (empty($next_payment) && !empty($end_date)) {
    $email_body = $options['email_body'];

    //$next_payment = $subscription->get_date( 'end', 'site' );
    //wsrr_email_date_debug('End Date:'.$end_date);
    // formate date
    $date = $subscription->get_date( 'end', 'site' );
    $dt = new DateTime($date);
    $next_payment = $dt->format('m-d-Y');
  }

  if (is_numeric($next_payment) && $next_payment != '0') {
     $next_payment = gmdate("m-d-Y", $next_payment);
     //wsrr_email_date_debug('is_numeric($next_payment) && $next_payment !=0'.$next_payment);
  }


  //$email_body =  str_replace('{customer_first_name}', $order->get_formatted_billing_full_name(), $email_body);
  $email_body =  str_replace('{customer_first_name}', $order->get_billing_first_name(), $email_body);
  $email_body =  str_replace('{subs_renew_date}', $next_payment, $email_body);
  $email_body =  str_replace('{subscription_items}', $subscription_items, $email_body);
  // {item_name} - {subs_cost_term}
//var_dump('ORDER ID:'.$order->get_id());

//var_dump($email);

 /**
  * @hooked WC_Emails::email_header() Output the email header
  */
 do_action( 'woocommerce_email_header', $email_heading, $email );
//var_dump($email);
 ?>



 <?php
 // printf( __( 'You have received an order from %s. The order is as follows:', 'woocommerce' ), $order->get_formatted_billing_full_name() );
 ?>


 <p><?php
  echo nl2br($email_body);
 ?></p>

 <?php

 /**
  * @hooked WC_Emails::order_details() Shows the order details table.
  * @hooked WC_Structured_Data::generate_order_data() Generates structured data.
  * @hooked WC_Structured_Data::output_structured_data() Outputs structured data.
  * @since 2.5.0
  */
 //do_action( 'woocommerce_email_order_details', $order, $sent_to_admin, $plain_text, $email );

 /**
  * @hooked WC_Emails::order_meta() Shows order meta data.
  */
 //do_action( 'woocommerce_email_order_meta', $order, $sent_to_admin, $plain_text, $email );

 /**
  * @hooked WC_Emails::customer_details() Shows customer details
  * @hooked WC_Emails::email_address() Shows email address
  */
 //do_action( 'woocommerce_email_customer_details', $order, $sent_to_admin, $plain_text, $email );

 /**
  * @hooked WC_Emails::email_footer() Output the email footer
  */
 do_action( 'woocommerce_email_footer', $email );
